/*  D2vid - video conversion software for Cowon D2 portable media player
    Copyright (C) 2008 Wesley Stessens <wesley@ubuntu.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "audiotracks.h"
#include <QStringList>

//#include <QDebug>

//// AudioTrack ////

AudioTrack::AudioTrack() {
}

AudioTrack::~AudioTrack() {
}

QString AudioTrack::langName() const {
	QString ret;
	ret = QString::number(_id) + ": ";
	if (!_name.isEmpty()) {
		ret += _name;
		if (!_lang.isEmpty()) ret += " (" + _lang + ")";
	} else if (!_lang.isEmpty()) {
		ret += _lang;
	} else {
		ret += "Unknown";
	}
	return ret;
}

//// AudioTrackList ////

AudioTrackList::AudioTrackList() {
}

AudioTrackList::~AudioTrackList() {
}

void AudioTrackList::clear() {
	audio.clear();
}

bool AudioTrackList::isEmpty() {
	return audio.isEmpty();
}

QStringList AudioTrackList::list() {
	QStringList ret;
	AudioMap::const_iterator it = audio.constBegin();
	while (it != audio.constEnd()) {
		ret << it.value().langName();
		++it;
	}
	return ret;
}

void AudioTrackList::newID(int id) {
	audio[id].setID(id);
}

void AudioTrackList::newLang(int id, const QString &lang) {
	audio[id].setLang(lang);
}

void AudioTrackList::newName(int id, const QString &name) {
	audio[id].setName(name);
}
