/*  D2vid - video conversion software for Cowon D2 portable media player
    Copyright (C) 2008 Wesley Stessens <wesley@ubuntu.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "common.h"
#include <QTime>

QStringList Common::videoFilters;
QStringList Common::audioFilters;
QStringList Common::subFilters;

void Common::init() {
	videoFilters << "*.avi" << "*.mkv" << "*.ogm" << "*.mpg" << "*.mpeg" << "*.wmv" << "*.flv";
	audioFilters << "*.mp3" << "*.ogg" << "*.flac" << "*.wav";
	subFilters << "*.srt";
}

QString Common::videoFilterString() {
	return videoFilters.join(" ");
}

QStringList Common::videoFilterList() {
	return videoFilters;
}

QString Common::audioFilterString() {
	return audioFilters.join(" ");
}

QStringList Common::audioFilterList() {
	return audioFilters;
}

QString Common::subFilterString() {
	return subFilters.join(" ");
}

QStringList Common::subFilterList() {
	return subFilters;
}

QString Common::error(QString message) {
	return "<p style=\"color: red; font-weight: bold\">" + message + "</p>";
}

QString Common::readablePosition(int sec) {
	QTime pos(0, 0);
	pos = pos.addSecs((int)sec);
	return pos.toString("HH:mm:ss");
}
