/*  D2vid - video conversion software for Cowon D2 portable media player
    Copyright (C) 2008 Wesley Stessens <wesley@ubuntu.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PREVIEWSLIDER_H
#define PREVIEWSLIDER_H

#include <QSlider>

class PreviewSlider : public QSlider {
	Q_OBJECT
public:
	enum SliderStatus {Normal, UserGrabbed, UserReleased};

	/**
	* \brief Constructor
	* \param parent Optional parent widget
	*/
	PreviewSlider(QWidget *parent = 0);

	/// Destructor
	~PreviewSlider();

	/**
	* \brief Set the value for the slider
	* \param value New value
	*
	* Keeps the update prevention in mind to prevent an eternal loop.
	*/
	void setSliderValue(int val);

signals:
	void sliderValueChanged(int val);

private slots:
	void setUserUpdate();
	void unsetUserUpdate();
	void valueChangedRewrite(int val);

private:
	SliderStatus userUpdate;
};

#endif
